import { AuthService } from './AuthService';
import { XHR } from '../../icc-api/api/XHR';
import { IccAuthApi } from '../../icc-api';
import Header = XHR.Header;
/**
 * Differs from JwtBridgedAuthService in that it cannot create new refresh tokens
 */
export declare class JwtAuthService implements AuthService {
    private readonly authApi;
    private _error;
    private _currentPromise;
    readonly jwtGetter: () => Promise<{
        token: string;
        refreshToken: string;
    } | undefined>;
    constructor(authApi: IccAuthApi, initialJwt?: {
        authJwt: string;
        refreshJwt: string;
    });
    get refreshToken(): Promise<string | undefined>;
    getIcureTokens(): Promise<{
        token: string;
        refreshToken: string;
    } | undefined>;
    getAuthHeaders(): Promise<Array<Header>>;
    private _refreshAuthJwt;
    invalidateHeader(error: Error): void;
    isInErrorState(): boolean;
}
